#ifndef _C4D_SYMBOLS_H
#define _C4D_SYMBOLS_H

#define ID_OCTANE_LIVEPLUGIN				1029499
#define ID_OCTANE_MESSAGEPLUGIN				1029500
#define ID_OCTANE_DIFFUSE_MATERIAL			1029501
#define ID_OCTANE_MIX_MATERIAL              1029622
#define ID_OCTANE_PORTAL_MATERIAL			1029623
#define ID_OCTANE_VIDEOPOST_RENDERER		1029525
#define ID_OCTANE_OBJECTTAG                 1029603

#define ID_OCTANE_FALLOFFMAP				1029503

/// octane colour textures
#define ID_OCTANE_RGBSPECTRUM				1029504
#define ID_OCTANE_GAUSSIANSPECTRUM			1029507
#define ID_OCTANE_FLOAT_TEXTURE				1029506
#define ID_OCTANE_CAMERATAG					1029524
#define ID_OCTANE_LIGHT_TAG					1029526

/// image textures
#define ID_OCTANE_IMAGE_TEXTURE				1029508
//#define ID_OCTANE_ALPHAIMAGE_TEXTURE		1029509
//#define ID_OCTANE_FLOATIMAGE_TEXTURE		1029510

/// octane mapping textures
#define ID_OCTANE_MIXTEXTURE				1029505
#define ID_OCTANE_CLAMP_TEXTURE				1029511
#define ID_OCTANE_COLORCORRECTION			1029512
#define ID_OCTANE_GRADIENT_TEXTURE			1029513
#define ID_OCTANE_INVERT_TEXTURE			1029514
#define ID_OCTANE_COSINEMIX_TEXTURE			1029515
#define ID_OCTANE_MULTIPLY_TEXTURE			1029516

/// octane generator textures
#define ID_OCTANE_CHECKSMIX_TEXTURE			1029517
#define ID_OCTANE_RIDGEDFRACTAL_TEXTURE		1029518
#define ID_OCTANE_SAWWAVE_TEXTURE			1029519
#define ID_OCTANE_SINEWAVE_TEXTURE			1029520
#define ID_OCTANE_TRIANGLEWAVE_TEXTURE		1029521
#define ID_OCTANE_TURBULENCE_TEXTURE		1029522
#define ID_OCTANE_MARBLE_TEXTURE			1029523

#define ID_OCTANE_TRANSFORM                 1030961
#define ID_OCTANE_TEXTURE_PROJECTION        1031460
#define ID_REFERANCE_SHADER                 1031605


#define OCTANE_CUSTOMGUI                1029527
#define OCTANE_COLORGUI                 1029945
#define OCTANE_FLOATSLIDER              1029528

#define ID_OCTANE_SCATTERING_MEDIUM		1029509
#define ID_OCTANE_ABSORPTION_MEDIUM		1029510

#define ID_OCTANE_NULL_EMISSION         1029640
#define ID_OCTANE_BLACKBODY_EMISSION	1029641
#define ID_OCTANE_TEXTURE_EMISSION      1029642
#define ID_OCTANE_ENVIRONMENT_TAG       1029643
#define ID_OCTANE_DAYLIGHT_TAG          1029754
#define ID_OCTANE_MATERIAL_CONVERT      1029770
#define ID_OCTANE_DIRT_TEXTURE			1029975
#define ID_OCTANE_SCENEHOOK             1030798
#define OCTANE_FLOAT3SLIDER             1030909

#define ID_OPEN_OCTANE_DIALOG           1031193
#define ID_OCTANE_OVERLAY               1031194
#define ID_OCTANE_OPEN_SETTINGS         1031195
#define ID_OCTANE_LIVE_VIEWER           1031198
#define ID_OCTANE_BROWSER               1031267
#define ID_OCTANE_DISPLACEMENT          1031901
#define ID_OCTANE_RANDOMCOLOR           1032069

//#define ID_CONVERT_MATERIALS          1029995
//#define ID_OCTANE_LIGHT_TAG           1029979
//#define ID_OCTANE_VIDEOPOST           1005172

enum
{
	// string table definitions
	IDS_GRADIENTTITLE	= 10000,
    IDS_OCTANEMATERIAL = 10001,
    IDS_OCTANECAMERA = 10002,
    IDS_OCTANELIVERENDER = 10003,
    IDS_GL_TEST_OBJECT = 10004,
    IDS_OCTANE_VIDEOPOST = 10005,
    IDC_SERIALNUMBER = 10006,
    DLG_REGISTER = 10007,
    ID_OCTANE_DIALOG = 10008,
    NO_SKY_OR_FOREGROUND_LINK = 10009,
    IDS_RGBSPECTRUM = 10011,

    IDS_OCTANE_FALLOFFMAP = 10012,
    IDS_MIXTEXTURE = 10013,
    IDS_CHECKSMIXTEXTURE = 10014,
    IDS_ALPHAIMAGE = 10015,
    IDS_CLAMPTEXTURE = 10016,
    IDS_COLORCORRECTION = 10017,
    IDS_COSINEMIX = 10018,
    IDS_FLOATIMAGE = 10019,
    IDS_FLOATTEXTURE = 10020,
    IDS_GAUSSIANSPECTRUM = 10021,
    IDS_GRADIENT = 10022,
    IDS_FLOATIMAGETEXTURE = 10023,
    IDS_ALPHAIMAGETEXTURE = 10024,
    IDS_IMAGETEXTURE = 10025,
    IDS_INVERT = 10026,
    IDS_MARBLE = 10027,
    IDS_MULTIPLY = 10028,
    IDS_RIDGEDFRACTAL = 10029,
    IDS_SAWWAVE = 10030,
    IDS_SINEWAVE = 10031,
    IDS_TRIANGLEWAVE = 10032,
    IDS_TURBULENCE = 10033,

    IDS_OCTANE_PORTAL_MATERIAL = 10034,
    IDS_OCTANE_MIX_MATERIAL = 10035,

    IDS_ABSORPTION_MEDIUM = 10036,
    IDS_SCATTERING_MEDIUM = 10037,
    IDS_BLACKBODY_EMISSION = 10038,
    IDS_TEXTURE_EMISSION = 10039,
    IDS_ENVIRONMENT_TAG = 10040,
    ID_SETTINGS_DIALOG = 10041,
    IDS_CONVERT_MATERIALS = 10042,
    IDS_OCTANEDAYLIGHT_TAG = 10043,
    IDS_OCTANE_DIRTTEXTURE = 10044,
    IDS_LIGHT_TAG = 10045,
    IDS_OBJECT_TAG,
    IDS_OCTANE_DISPLACEMENT,
    IDS_LISTVIEW,
    IDC_STATIC,
    IDS_VIDEOPOST,
    IDS_TRANSFORM,
    IDS_TEXTURE_PROJECTION,
    IDS_OPEN_OCTANE_DIALOG,
    IDS_OPEN_SETTINGS,
    IDS_OPEN_LIVEVIEWER,
    IDS_REFERANCE_SHADER,
    IDS_RANDOMCOLOR,
	// Dialog definitions of IDD_DIALOG1 start here
	IDD_DIALOG1,
	IDC_EDIT1,
	IDC_COMBO1,
	IDC_BUTTON1,
	IDC_STATIC1,
	TAB_ID,

	IDC_OCTANE_DIFFUSE,
	IDC_OCTANE_DIFFUSE_TAB,

	IDD_OCTANE_LIVEVIEW,
    IDC_ACTIVATE_BUTTON,
    IDC_DEACTIVATE_BUTTON,
    IDC_INFOTEXT,
    IDC_UPDATE_MATERIALS,
    IDC_OPEN_SETTINS_DIALOG,
    IDC_UPDATE_TRANSFORM,
    IDC_RENDER_ANIM,
    //GROUP_SCROLL,
  //  GROUP_DYNAMIC,
    GROUP_PREVIEW,
    GROUP_SETTINGS,
    GROUP_UPDATE_SETTINGS,
    GROUP_ACCOUNT,
    GROUP_ADMIN,
    IDC_LOGOUT_TEXT,
    IDC_USERID_TEXT,
    IDC_USERPASS_TEXT,
    IDC_MEMORY_STAT_,
    IDC_USE_NEWGUI,
    IDC_LICENSE_TEXT,
	// Dialog definitions of IDD_OCTANELIVE_DIALOG start here

	IDC_BITMAP,
    IDC_MENU_SAVE_PNG8,
    IDC_MENU_SAVE_PNG16,
    IDC_MENU_SAVE_EXR,
    IDC_MENU_SAVE_EXRTONEMAPPED,
    IDC_MENU_SAVE_PROJECT,
    IDC_MENU_CREATE_COLORENV,
    IDC_MENU_CREATE_HDRIENV,
    IDC_MENU_CAMERA,
    IDC_MENU_AREALIGHT,
    IDC_MENU_IESLIGHT,
    IDC_MENU_TARGETED_AREALIGHT,
    IDC_MENU_DAYLIGHT,
    IDC_MENU_LIVEDBASE,
    IDC_MENU_ADD_DIFFUSEMAT,
    IDC_MENU_ADD_GLOSSYMAT,
    IDC_MENU_ADD_SPECULARMAT,
    IDC_MENU_ADD_MIXMAT,
    IDC_MENU_ADD_PORTALMAT,
    IDC_MENU_CHECK_CAMERA,
    IDC_MENU_CHECK_MATERIALS,
    IDC_MENU_CHECK_LIGHTS,
    IDC_MENU_CHECK_GEOMETRY,
    IDC_MENU_LV_CAMERA_MBLUR,
    IDC_MENU_LV_OBJECT_MBLUR,
    IDC_MENU_LV_VERTEX_MBLUR,
    IDC_MENU_ENABLE_PREVIEWS,
    IDC_MENU_ENABLE_OPENGL,
    IDC_MENU_ENABLE_PARTICLES,
    IDC_MENU_ENABLE_NETRENDER,
    IDC_MENU_NETRENDER_SETTINGS,
    IDC_MENU_ENABLE_FULLSCREEN,
    IDC_MENU_HELP_SHOWHELP,
    IDC_MENU_HELP_SHOWPDF,
    IDC_MENU_HELP_SHOWGPU,
    IDC_MENU_HELP_ABOUT,
    IDC_MENU_HELP_SHOW_DEBUG,
    IDC_MENU_HELP_OCTANELOG,
    IDC_MENU_SUBSAMPLE_NONE,
    IDC_MENU_SUBSAMPLE_1,
    IDC_MENU_SUBSAMPLE_2,

    IDC_NODEMENU_APINODE_TO_C4D,
    IDC_NODEMENU_UPDATE_C4D_MATERIAL,
    IDC_NODEMENU_GETC4D,
    IDC_NODEMENU_SELECTCHILDS,
    IDC_NODEMENU_AUTOARRANGE,
    IDC_NODEMENU_SUBSELECTION,
    IDC_NODEMENU_MINIMIZE_NODE,
    IDC_NODEMENU_ADD_MATERIAL,
    IDC_NODEMENU_ADD_MIXMATERIAL,
    IDC_NODEMENU_ADD_RGB,
    IDC_NODEMENU_ADD_GAUSSIAN,
    IDC_NODEMENU_ADD_FLOAT,
    IDC_NODEMENU_ADD_FLOATTEX,
    IDC_NODEMENU_ADD_FALLOFF,
    IDC_NODEMENU_ADD_IMAGE,
    IDC_NODEMENU_ADD_MARBLE,
    IDC_NODEMENU_ADD_DIRT,
    IDC_NODEMENU_ADD_INVERT,
    IDC_NODEMENU_ADD_MULTIPLY,
    IDC_NODEMENU_ADD_MIX,
    IDC_NODEMENU_ADD_CHECK,
    IDC_NODEMENU_ADD_COSINEMIX,
    IDC_NODEMENU_ADD_CLAMP,
    IDC_NODEMENU_ADD_CC,
    IDC_NODEMENU_ADD_SINEWAVE,
    IDC_NODEMENU_ADD_TRIWAVE,
    IDC_NODEMENU_ADD_SAWWAVE,
    IDC_NODEMENU_ADD_TURBULENCE,
    IDC_NODEMENU_ADD_RFRACTAL,
    IDC_NODEMENU_ADD_TRANSFORM2D,
    IDC_NODEMENU_ADD_TRANSFORM3D,
    IDC_NODEMENU_ADD_TRANSFORM_SCALE,
    IDC_NODEMENU_ADD_TRANSFORM_ROT,
    IDC_NODEMENU_ADD_TRANSFORMVALUE,
    IDC_NODEMENU_ADD_PROJ_CLYN,
    IDC_NODEMENU_ADD_PROJ_LINEAR,
    IDC_NODEMENU_ADD_PROJ_PERSP,
    IDC_NODEMENU_ADD_PROJ_SPHERICAL,
    IDC_NODEMENU_ADD_PROJ_UVW,

    IDC_MENU_RESET_SETTINGS,
    IDC_MENU_COPY_SETTINGS,
    IDC_MENU_PASTE_SETTINGS,
    IDC_MENU_COPY_TO_VPOST,
    IDC_MENU_EDIT_PRESETS,
    IDC_MENU_REPLACE_SELECTED_PRESET,
    IDC_MENU_ADD_PRESET,
    IDC_BUT_ADD_PRESET,
    IDC_BUT_CLOSE_PRESET,
    IDC_BUT_REMOVE_PRESET,
    IDC_TEXTNAME_PRESET,

    IDC_MENU_PRESET1,
    IDC_MENU_PRESET2,
    IDC_MENU_PRESET3,
    IDC_MENU_PRESET4,
    IDC_MENU_PRESET5,
    IDC_MENU_PRESET6,
    IDC_MENU_PRESET7,
    IDC_MENU_PRESET8,

	IDC_DGL_BUTTONS_GRP,
    IDC_OCTDGL_BUTTONS_GRP,
    IDC_OCTDGL_SUBDLG_GRP,
    IDC_SENDTO_RENDER,
    IDC_RESTART_RENDER,
    IDC_PAUSE_RENDER,
    IDC_STOP_RESET_RENDERER,
    IDC_STOP_RENDER,
    IDC_STOP_PREVIEW,
    IDC_UPDATE_LIGHTS,
	IDC_SAVE_IMAGE,
    IDC_LOAD_OCS,
    IDC_IMPORT_ORBX,
	IDC_SAVE_OCS,
    IDC_EDIT_IN_STANDALONE,
	IDC_PICK_FOCUS,
    IDC_PICK_MATERIAL,
    IDC_SHOWGRAPH,
    IDC_OPEN_NODEEDITOR,
    IDC_OPEN_LIVEDB,
    IDC_OPEN_LIVEDB_BROWSER,
	IDC_SMART_REFRESH,
    IDC_GEOMETRY_UPDATES,
    IDC_MATERIAL_UPDATES,
    IDC_CAMERA_UPDATES,
    IDC_LIGHT_UPDATES,
	IDC_LOGGING,
    IDC_TIMEOUT,
    IDC_CONVERT_MATERIALS,
    IDC_REMOVE_UNUSED_MATERIALS,
    IDC_REMOVE_DOUBLE_MATERIALS,
    IDC_MAKE_PREVIEW,
    IDC_LOCK_RESOLUTION,
    IDC_ENABLE_CLAY,
    IDC_BITMAP_BUTTON,
	IDC_RENDER_GROUP,
	IDC_RENDERAREA,
	IDC_USERMSG_TEXT,
    IDC_RENDERPROGRESS_SLIDER,
    IDC_DEVICE_PRIORTY,
    IDC_DEVICE_USEPRIORTY,
    IDC_DISPLAY_CHANNEL,

    IDC_GPUDLG_TEXTURES,
    IDC_GPUDLG_RENDERINFO1,
    IDC_GPUDLG_RENDERINFO2,
    IDC_GPUDLG_TEXT2,
    IDC_GPUDLG_TEXT3,
    IDC_GPUDLG_STATS1,
    IDC_GPUDLG_STATS2,
    IDC_GPUDLG_RENDER_STATS,
    IDC_GPUDLG_DEVICE1,
    IDC_GPUDLG_DEVICE2,
    IDC_GPUDLG_DEVICE3,
    IDC_GPUDLG_DEVICE4,
    IDC_GPUDLG_DEVICE5,
    IDC_GPUDLG_DEVICE6,
    IDC_GPUDLG_DEVICE7,
    IDC_GPUDLG_DEVICE8,
    IDC_NODEEDITOR_BUTTONS_GRP,
    IDC_NODEEDITOR_VIEWPORT_GRP,
    IDC_NODEEDITOR_VIEWPORT,
    IDC_NODEEDITOR_SUBDIALOG,
    IDC_NODEEDITOR_INFOTEXT,
    IDC_NODEEDITOR_FLOATTEXTURE,
    IDC_NODEEDITOR_RGBSPECTRUM,
    IDC_NODEEDITOR_FILENAME,
    IDC_NODEEDITOR_EDIT_GRP,

    IDC_NODEEDITOR_CTRL_BEGIN,
    IDD_PRESET_DIALOG=11995,
    IDD_GPU_DIALOG=11996,
    IDD_DBMATERIAL_DIALOG=11997,
    IDD_NODEEDITOR_DIALOG=11998,

    IDD_OCTANELIVE_DIALOG=11999,
    IDC_DEVICE_GROUP=12000,
    IDC_DEVICE1_CHECK=12001,
    IDC_DEVICE2_CHECK=12002,
    IDC_DEVICE3_CHECK=12003,
    IDC_DEVICE4_CHECK=12004,
    IDC_DEVICE5_CHECK=12005,
    IDC_DEVICE6_CHECK=12006,
    IDC_DEVICE7_CHECK=12007,
    IDC_DEVICE8_CHECK=12008,
    IDC_DEVICE9_CHECK=12009,
    IDC_DEVICE10_CHECK=12010,
    IDC_DEVICE11_CHECK=12011,
    IDC_DEVICE12_CHECK=12012,
    IDC_DEVICE13_CHECK=12013,
    IDC_DEVICE14_CHECK=12014,
    IDC_DEVICE15_CHECK=12015,
    IDC_DEVICE16_CHECK=12016,
    IDC_DEVICE1_USEPRIORITY=12017,
    IDC_DEVICE2_USEPRIORITY=12018,
    IDC_DEVICE3_USEPRIORITY=12019,
    IDC_DEVICE4_USEPRIORITY=12020,
    IDC_DEVICE5_USEPRIORITY=12021,
    IDC_DEVICE6_USEPRIORITY=12022,
    IDC_DEVICE7_USEPRIORITY=12023,
    IDC_DEVICE8_USEPRIORITY=12024,
    IDC_DEVICE9_USEPRIORITY=12025,
    IDC_DEVICE10_USEPRIORITY=12026,
    IDC_DEVICE11_USEPRIORITY=12027,
    IDC_DEVICE12_USEPRIORITY=12028,
    IDC_DEVICE13_USEPRIORITY=12029,
    IDC_DEVICE14_USEPRIORITY=12030,
    IDC_DEVICE15_USEPRIORITY=12031,
    IDC_DEVICE16_USEPRIORITY=12032,
    IDC_LOG_GROUP,
    IDC_LOGEDIT,
    IDC_LOGLIST,
    IDC_MAIN_TAB_GROUP,
    IDC_RENDERVIEW_GROUP,
    IDC_SETTINGS_GROUP,
    IDC_KERNEL_GROUP,
    IDC_KERNEL_TABGROUP,
    IDC_DIRECTLIGHTING_GROUP,
    IDC_DEEPCHANNEL_GROUP,
    IDC_PATHTRACING_GROUP,
    IDC_PMC_GROUP,
    IDD_SETTINGS_DIALOG,
    IDC_CAMERAIMAGER_GROUP,
    IDC_POSTPROC_GROUP,
    IDC_INFO_BUTTON,
    IDC_OPEN_OCTANELOG_BUTTON,
    IDC_INFO_RESET,
    IDC_INFO_LEVEL_SLIDER,
    IDC_SHADER_RENDER_GRP,
    IDC_SHD2TX_PATH,
    IDC_SHD2TX_PATH_SELECT,
    IDC_SHD2TX_SIZE_SELECT,
    IDC_SHD2TX_USE_HDR_FORSTANDART,
    IDC_SHD2TX_USE_HDR_FORDISPLACEMENT,
    IDC_SHADERTORENDER_ENABLE,
    IDC_TEXTURE_PATHS_GRP,
    IDC_TEXTURE_PATH1_TEXT,
    IDC_TEXTURE_PATH2_TEXT,
    IDC_TEXTURE_PATH3_TEXT,
    IDC_TEXTURE_PATH4_TEXT,
    IDC_TEXTURE_PATH5_TEXT,
    IDC_TEXTURE_PATH6_TEXT,
    IDC_TEXTURE_PATH7_TEXT,
    IDC_TEXTURE_PATH8_TEXT,
    IDC_TEXTURE_PATH9_TEXT,
    IDC_TEXTURE_PATH10_TEXT,
    IDC_PREVIEW_SAMPLES,
    IDC_OPENGL_SAMPLES,
    IDC_TEXTURE_POWER,
    IDC_OVERLAY_POWER,
    IDC_CPU_COUNT,
    IDC_OCTMAT_PREVIEWS2,
    IDC_OCTMAT_PREVIEWS,
    IDC_ALTERNATE_UPDATES,
    IDC_DISPLAY_MAINSTATS,
    IDC_DISPLAY_GPUSTATS,
    IDC_DISPLAY_TEXTURESTATS,
    IDC_DISPLAY_KEEP_STATS,
    IDC_MATPREVIEW_SIZE,
    IDD_OCTANEICONS_DIALOG,
    IDC_AUTO_BACKUP_IMAGE,
    IDC_AUTO_BACKUP_TIMER,
    IDC_XBITMAP_GAMMA,
    IDC_MAX_MESHES,
    IDC_OCTANE_EXE_TEXT,
    IDC_OCTANE_EXE_BTN,

    IDC_TEXTURE_PATH1_SELECT,
    IDC_TEXTURE_PATH2_SELECT,
    IDC_TEXTURE_PATH3_SELECT,
    IDC_TEXTURE_PATH4_SELECT,
    IDC_TEXTURE_PATH5_SELECT,
    IDC_TEXTURE_PATH6_SELECT,
    IDC_TEXTURE_PATH7_SELECT,
    IDC_TEXTURE_PATH8_SELECT,
    IDC_TEXTURE_PATH9_SELECT,
    IDC_TEXTURE_PATH10_SELECT,
    IDC_TEXTURE_PATH11_SELECT,
    IDC_TEXTURE_PATH12_SELECT,
    IDC_TEXTURE_PATH13_SELECT,
    IDC_TEXTURE_PATH14_SELECT,
    IDC_TEXTURE_PATH15_SELECT,
    IDC_TEXTURE_PATH16_SELECT,
    IDC_TEXTURE_PATH17_SELECT,

	/// DIRECTLIGHTING IDS
    IDC_DIRECTLIGHT_DIFFUSEDEPTH,
	IDC_DIRECTLIGHT_SPECDEPTH, 
	IDC_DIRECTLIGHT_GLOSDEPTH,
	IDC_DIRECTLIGHT_AODIST,
	IDC_DIRECTLIGHT_RAYEPSILON, 
	IDC_DIRECTLIGHT_MAXSAMPLES, 
	IDC_DIRECTLIGHT_FILTERSIZE, 
	IDC_DIRECTLIGHT_ALPHACHAN, 
	IDC_DIRECTLIGHT_KEEPENV,
	IDC_DIRECTLIGHT_ALPHASHADOW, 
	IDC_DIRECTLIGHT_RRPROB, 
	IDC_DIRECTLIGHT_GIMODE, 
	
    /// PATHTRACING KERNEL IDS
    IDC_PATHTRACE_DIFFUSEDEPTH,
    IDC_PATHTRACE_GLOSSYDEPTH,
    IDC_PATHTRACE_RRPROB,
    IDC_PATHTRACE_RAYEPSILON,
    IDC_PATHTRACE_MAXSAMPLES,
    IDC_PATHTRACE_FILTERSIZE,
    IDC_PATHTRACE_ALPHASHADOW,
    IDC_PATHTRACE_ALPHACHAN,
    IDC_PATHTRACE_KEEPENV,
    IDC_PATHTRACE_CAUSTICBLUR,

    /// PMC KERNEL IDS
    IDC_PMC_DIFDEPTH,
    IDC_PMC_GLOSSY_DEPTH,
    IDC_PMC_RRPROB,
    IDC_PMC_RAYEPSILON,
    IDC_PMC_EXPLOSTRENGTH,
    IDC_PMC_DLIMPORTANCE,
    IDC_PMC_MAXREJECTS,
    IDC_PMC_MAXSAMPLES,
    IDC_PMC_FILTERSIZE,
    IDC_PMC_ALPHASHADOW,
    IDC_PMC_ALPHACHAN,
    IDC_PMC_KEEPENV,
    IDC_PMC_CAUSTICBLUR,
    IDC_PMC_PARALELISM,

    /// DEEP CHANNEL IDS
    IDC_INFOCHAN_TYPE,
    IDC_INFOCHAN_ENABLE_DRAYTRACE,
    IDC_INFOCHAN_MAXSAMPLES,
    IDC_INFOCHAN_FILTERSIZE,
    IDC_INFOCHAN_ZDEPTHMAX,
    IDC_INFOCHAN_ALPHACHANNEL,
    IDC_INFOCHAN_RAYEPSILON,
    IDC_INFOCHAN_UVMAX,
    IDC_INFOCHAN_WIRE,
    IDC_INFOCHAN_ENABLE_BUMPNORMAL,
    IDC_INFOCHAN_ENABLE_WIRE_BACKLGHT,

	/// CAMERA IMAGER IDS
    IDC_CAMERAIMAGER_EXPOSURE,
	IDC_CAMERAIMAGER_FSTOP, 
	IDC_CAMERAIMAGER_ISO, 
	IDC_CAMERAIMAGER_GAMMA, 
	IDC_CAMERAIMAGER_RESPONSE, 
	IDC_CAMERAIMAGER_VIGNETTING, 
	IDC_CAMERAIMAGER_SATURATION, 
	IDC_CAMERAIMAGER_HOTPIXEL, 
	IDC_CAMERAIMAGER_PREMULTIALPHA, 
	IDC_CAMERAIMAGER_MINDISPLAYSAMPLES, 
	IDC_CAMERAIMAGER_DITHER, 
	IDC_CAMERAIMAGER_WHITESATURATION, 
    IDC_CAMERAIMAGER_WHITEBALANCE,

    IDC_POSTPROC_ENABLE,
    IDC_POSTPROC_BLOOMPOWER,
    IDC_POSTPROC_GLAREPOWER,
    IDC_POSTPROC_RAYAMOUNT,
    IDC_POSTPROC_GLAREANGLE,
    IDC_POSTPROC_GLAREBLUR,
    IDC_POSTPROC_SPECTRAL_INTENSITY,
    IDC_POSTPROC_SPECTRAL_SHIFT,

    /// CAMERA IMAGER IDS
    IDC_PREVIEW_FULL_UPDATE,
    IDC_PREVIEW_MAT_UPDATE,
    IDC_PREVIEW_MESH_UPDATE,
    IDC_PREVIEW_START_FRAME,
    IDC_PREVIEW_END_FRAME,
    IDC_PREVIEW_STEP_FRAME,
    IDC_PREVIEW_FROMRENDER,
    IDC_PREVIEW_FILENAME,
    IDC_PREVIEW_FILESELECT,
    IDC_PREVIEW_SIZEW,
    IDC_PREVIEW_SIZEH,

    IDC_EXPERIMENTAL_FEATURES,

    IDC_DB_MENU_OPEN_LIVEDB_FOLDER,

    IDC_DB_BUTTONS_GRP,
    IDC_DB_MATERIAL_LIST,
    IDC_DB_REFRESHLIST_BUTTON,
    IDC_DB_DOWNLOAD_BUTTON,
    IDC_DB_MAKEOFFLINE_BUTTON,
    IDC_DB_SEARCH_TEXT,
    IDC_DB_INFO_TEXT,
    IDC_DB_STATUS_TEXT,
    IDC_AO_TREEVIEW,
    IDC_LAYER_BROWSER_TREE,
    IDC_LAYER_BROWSER_LINK,
    IDC_MATERIAL_LIST,
    IDC_MATERIAL_LIST2,
    IP_SET_RUNTIMELIST,
    COL_CHECK,
    COL_NAME,

    POPUP_RESET_OFFLINE_PREVS,
    POPUP_CREATE_NEW_CATEGORY,
    POPUP_DOWNLOAD,
    POPUP_BREAK_DOWNLOAD,
    POPUP_MAKE_OFFLINE,
    POPUP_REMOVE_OFFLINEMAT,
    POPUP_CREATE_USERCAT,
    POPUP_RENAME_USERCAT,
    POPUP_DELETE_USERCAT,
    POPUP_RENAME_USERMATERIAL,
    POPUP_DELETE_USERMATERIAL,
    POPUP_SELECTALL,
    POPUP_REPLACE_ACTIVE_MATERIAL,
    POPUP_SHOWPATH,

	IDC_CUSTOM1,
	IDC_CUSTOM2,
    DLG_LISTVIEW,
    GADGET_INSERT,
    GADGET_REMOVE,
    GADGET_LISTVIEW1,
    GADGET_LISTVIEW2,
	// Dialog definitions of IDD_OCTANELIVE_DIALOG end here


  // Dialog definitions of IDD_device_dialog start here
  IDD_DEVICE_DIALOG,
  IDC_DEVICEGRP,
  IDC_DEVICE_LIST,
  IDC_DEVICE_CHECK,
  // Dialog definitions of IDD_device_dialog end here


// End of symbol definition

};

#endif
