#ifndef _VPrenderer_H_
#define _VPrenderer_H_

enum
{
    VP_SMART_GEOMETRY					= 1000,
    VP_UPDATE_MATERIALS_MODE			= 1001,
    VP_KERNEL           = 1002,
    VP_MAXSAMPLES       = 1003,
    VP_KERNEL_ENABLE	= 1005,
    VP_KERNEL_OVERWRITE	= 1004,
    VP_FULLSEND_SCENE   = 1006,
    VP_USE_ALLGPU       = 1007,
    VP_BUFFER_TYPE      = 1008,
    VP_STAMP1           = 1009,
    VP_FASTUPDATES      = 1010,

    VP_RENDERMETHOD     = 1011,
    VP_TIME_LIMIT       = 1012,
    VP_MOTIONBLUR       = 1013,
    VP_MOTIONBLUR_TIMESTEPS = 1014,
    VP_ENABLE_NETRENDER = 1015,
    VP_CLAY_SELECTION = 1016,
    VP_RENDERREGION = 1017,
    VP_REGION_X1 = 1018,
    VP_REGION_Y1 = 1019,
    VP_REGION_X2 = 1020,
    VP_REGION_Y2 = 1021,
    //VP_RGBA_COLORTRANS,
    //VP_PASSES_COLORTRANS,


    VP_PARTIAL_GRP,
    VP_RENDERSETTINGS_GRP,
    VP_NETWORK_GRP,
    VP_RENDERREGION_GRP,
    VP_DEEP_GRP,
    VP_DL_GRP,
    VP_PATH_GRP,
    VP_PMC_GRP,
    VP_CAMERAIMAGER_GRP,
    VP_POST_GRP,
    VP_NETPREFS_BUTTON,
    VP_HELPBUTTON,
    VP_BUFFER_GRP,

    VP_CLAY_MODE_NONE=0,
    VP_CLAY_MODE_GREY=1,
    VP_CLAY_MODE_COLOR=2,

    VP_COLOR_PASS = 0,
    VP_COLOR_SRGB_TO_LINEAR = 1,
    VP_COLOR_LINEAR_TO_SRGB = 2,
    VP_COLOR_LINEAR_TO_VIEW = 10,
    VP_COLOR_SRGB_TO_VIEW = 11,

    VP_MBLUR_DISABLED=0,
    VP_MBLUR_CAMERA=1,
    VP_MBLUR_CAMERA_OBJECTS=2,

    ID_METHOD1 = 0,
    ID_METHOD2 = 1,

    VP_UPDATEMETHOD1   = 0,
    VP_UPDATEMETHOD2   = 1,

    VP_BUFFER_8BIT  = 0,
    VP_BUFFER_FLOAT_TONEMAPPED = 2,
    VP_BUFFER_FLOAT = 3,

    VP_INFOKERNEL   = 0,
    VP_DLKERNEL     = 1,
    VP_PTKERNEL     = 2,
    VP_PMCKERNEL    = 3,
    DL_METHOD0=0,
    DL_METHOD1=1,
    DL_METHOD2=2,
    DL_METHOD3=3,
    DL_METHOD4=4,

    SET_PRESET_NAME=3000,
    SET_KERNEL_TYPE=3001,
    SET_DIRECT_AODIST=3002,
    SET_DIRECT_MAXSAMPLES=3003,
    SET_DIRECT_ALPHACHAN=3004,
    SET_DIRECT_DIFDEPTH=3005,
    SET_DIRECT_GLOSDEPTH=3006,
    SET_DIRECT_SPECDEPTH=3007,
    SET_DIRECT_FSIZE=3008,
    SET_DIRECT_RAYEPS=3009,
    SET_DIRECT_KEEPENV=3010,
    SET_DIRECT_RRPROB=3011,
    SET_DIRECT_GIMOD=3012,
    SET_DIRECT_ALPHASHADOW=3013,

    SET_INFOCHAN_MAXSAMPLES=3024,
    SET_INFOCHAN_TYPE=3025,
    SET_INFOCHAN_ALPHACHAN=3026,
    SET_DEEP_RAYEPSILON=3027,
    SET_INFOCHAN_UVMAX=3028,
    SET_INFOCHAN_ZDEPTHMAX=3029,
    SET_INFOCHAN_FILTERSIZE=3030,
    SET_INFOCHAN_RAYDISTR=3031,
    SET_INFOCHAN_BUMPNORMAL=3032,
    SET_INFOCHAN_WIREBACKLGHT=3033,

    SET_INFOCHAN_TYPE1=0,
    SET_INFOCHAN_TYPE2=1,
    SET_INFOCHAN_TYPE3=2,
    SET_INFOCHAN_TYPE4=3,
    SET_INFOCHAN_TYPE5=4,
    SET_INFOCHAN_TYPE6=5,
    SET_INFOCHAN_TYPE7=6,

    SET_CAMERAIMAGER_ENABLE=3040,
    SET_CAMIMAGER_EXPOSURE=3041,
    SET_CAMIMAGER_ISO=3042,
    SET_CAMIMAGER_FSTOP=3043,
    SET_CAMIMAGER_GAMMA=3044,
    SET_CAMIMAGER_RESPONSE=3045,
    SET_CAMIMAGER_VIGNET=3046,
    SET_CAMIMAGER_SATURATION=3047,
    SET_CAMIMAGER_HOTREMOVAL=3048,
    SET_CAMIMAGER_PREM_ALPHA=3049,
    SET_CAMIMAGER_MDISP_SAMPLES=3050,
    SET_CAMIMAGER_DITHERING=3051,
    SET_CAMIMAGER_SATURE_TO_WHITE=3052,
    SET_CAMIMAGER_WHITEBALANCE=3053,


    SET_PATHTRACE_DIFDEPTH=3060,
    SET_PATHTRACE_RRPROB=3061,
    SET_PATHTRACE_RAYEPS=3062,
    SET_PATHTRACE_MAXSAMPLES=3063,
    SET_PATHTRACE_FSIZE=3064,
    SET_PATHTRACE_ASHADOW=3065,
    SET_PATHTRACE_ACHAN=3066,
    SET_PATHTRACE_KEEPENV=3067,
    SET_PATHTRACE_CAUSTICBLUR=3068,
    SET_PATHTRACE_GLOSSYDEPTH=3069,

    SET_PMC_DIFDEPTH=3080,
    SET_PMC_RRPROB=3081,
    SET_PMC_RAYEPS=3082,
    SET_PMC_EXPLOSTRENGTH=3083,
    SET_PMC_DLIMPORTANCE=3084,
    SET_PMC_MAXREJECTS=3085,
    SET_PMC_MAXSAMPLES=3086,
    SET_PMC_FSIZE=3087,
    SET_PMC_ASHADOWS=3088,
    SET_PMC_ACHANNEL=3089,
    SET_PMC_KEEPENV=3090,
    SET_PMC_CAUSTICBLUR=3091,
    SET_PMC_PARALLELISM=3092,
    SET_PMC_GLOSSYDEPTH=3093,

    SET_POSTPROC_BLOOMPOWER=3100,
    SET_POSTPROC_ENABLE=3101,
    SET_POSTPROC_GLAREANGLE=3102,
    SET_POSTPROC_GLAREBLUR=3103,
    SET_POSTPROC_GLAREPOWER=3104,
    SET_POSTPROC_RAYAMOUNT=3105,
    SET_POSTPROC_SPECTRAL_INTENSITY=3106,
    SET_POSTPROC_SPECTRAL_SHIFT=3107,

    SET_EXPERIMENTAL_FEATURES=3200, SET_NEWGUI=3201,
    SET_PREVIEW_FILENAME=3202, SET_PREVIEW_FULL_UPDATE=3203, SET_PREVIEW_MAT_UPDATE=3204, SET_PREVIEW_MESH_UPDATE=3205, SET_PREVIEW_FROMRENDER=3206,
    SET_PREVIEW_START_FRAME=3207, SET_PREVIEW_END_FRAME=3208, SET_PREVIEW_STEP_FRAME=3209, SET_PREVIEW_SIZEW=3213, SET_PREVIEW_SIZEH=3214,
    SET_LOGGING=3215, SET_SHADERTOTEXTURE=3216, SET_SHD2TXT_RES=3217, SET_SHD2TXT_PATH=3218,

    SET_CHECK_CAMERA=3219, SET_CHECK_MATERIAL=3220, SET_CHECK_LIGHT=3221, SET_CHECK_GEOMETRY=3222,
    SET_SHDTXT_HDR=3223, SET_SHDTXT_HDRDISP=3224,


};

#endif
